<rtflowfile version="1.0">
   <block name="Abs" folder="Standard\Arithmetic\" width="32" height="32">
      <resize constrainprop="false" allow="true"/>
      <instancename show="true" position="up"/>
      <blockname show="false" position="down"/>
      <portnames show="false" inside="true"/>
      <graphic class="rect" x1="0" y1="0" x2="32" y2="32">
         <fill fill="true" color="0x00EEEEEE"/>
      </graphic>
      <graphic class="text" x="16" y="16" size="10" s="Abs" showalways="true"/>
      <doc>Computes the absolute value of a real-valued signal.</doc>
      <port name="i" type="real" x="0" y="16" kind="input" dir="left">
         <doc>Operand.</doc>
      </port>
      <port name="o" type="real" x="32" y="16" kind="output" dir="right">
         <doc>The absolute value of i.</doc>
      </port>
   </block>
   <schematic name="Abs" width="903" height="602">
      <editor gridsize="16" alignports="true" autovalue="false"/>
      <binstance name="i" block="RealInput" x="48" y="64"/>
      <binstance name="o" block="RealOutput" x="320" y="88"/>
      <binstance name="Less1" block="Less" x="144" y="112"/>
      <binstance name="Value1" block="Value" x="48" y="128">
         <constant name="value" value="0" show="true" x="16" y="8"/>
      </binstance>
      <binstance name="Sub1" block="Sub" x="192" y="48"/>
      <binstance name="If1" block="If" x="256" y="80"/>
      <connection name="i" port1="i.o" port2="Less1.i0">
         <point x="64" y="72"/>
         <point x="112" y="72"/>
         <point x="112" y="120"/>
         <point x="144" y="120"/>
      </connection>
      <connection name="zero" port1="Value1.o" port2="Less1.i1">
         <point x="80" y="136"/>
         <point x="144" y="136"/>
      </connection>
      <connection name="zero" port1="Value1.o" port2="Sub1.i0">
         <point x="80" y="136"/>
         <point x="96" y="136"/>
         <point x="96" y="56"/>
         <point x="194" y="56"/>
      </connection>
      <connection name="i" port1="i.o" port2="Sub1.i1">
         <point x="64" y="72"/>
         <point x="194" y="72"/>
      </connection>
      <connection name="is_negative" port1="Less1.o" port2="If1.i2">
         <point x="176" y="128"/>
         <point x="264" y="128"/>
         <point x="264" y="112"/>
      </connection>
      <connection name="i" port1="i.o" port2="If1.i0">
         <point x="64" y="72"/>
         <point x="112" y="72"/>
         <point x="112" y="104"/>
         <point x="256" y="104"/>
      </connection>
      <connection name="negative" port1="Sub1.o" port2="If1.i1">
         <point x="224" y="64"/>
         <point x="240" y="64"/>
         <point x="240" y="88"/>
         <point x="256" y="88"/>
      </connection>
      <connection name="o" port1="If1.o" port2="o.i0">
         <point x="288" y="96"/>
         <point x="320" y="96"/>
      </connection>
   </schematic>
</rtflowfile>
